# EloquentJavascript
Fundamental Notes on the JavaScript Programming Language and Supplemental Information pertaining to computer science and software engineering from a real world application perspective. 

![README Cover](https://cdn-images-1.medium.com/max/1140/1*jnhgiJ5Z16elapyBhf4-9Q.jpeg)

## Synopsis 
The modern JavaScript is a “safe” programming language. It does not provide low-level access to memory or CPU, because it was initially created for browsers which do not require it. The capabilities greatly depend on the environment that runs JavaScript. For instance, Node.JS supports functions that allow JavaScript to read/write arbitrary files, perform network requests, etc. In-browser JavaScript can do everything related to webpage manipulation, interaction with the user, and the webserver.

__For instance, in-browser JavaScript is able to:__
* Add new HTML to the page, change the existing content, modify styles.
* React to user actions, run on mouse clicks, pointer movements, key presses.
* Send requests over the network to remote servers, download and upload files (so-called AJAX and COMET technologies).
* Get and set cookies, ask questions to the visitor, show messages.
* Remember the data on the client-side (“local storage”).

## Resources 
* [Eloquent Javascript](http://eloquentjavascript.net/) 📑